// Define macros for input and output pin etc.
#include "PinDefinitionsAndMore.h"

#include <IRremote.hpp>

// The pin that the pushbutton is attached to
int buttonPin = 4;

// Current state of the button
int buttonState = 0;
// Previous state of the button
int lastButtonState = 0;

// IR Data
uint16_t sAddress = 0x0102;
uint8_t sCommand = 0x34;
uint8_t sRepeats = 0;

void setup() {
  // Setup pins
  pinMode(LED_BUILTIN, OUTPUT);
  pinMode(buttonPin, INPUT_PULLUP);
    
  // The IR library setup
  IrSender.begin();
}

void loop() {
  // Read the pushbutton input pin:
  buttonState = digitalRead(buttonPin);

  // Compare the buttonState to its previous state
  if (buttonState != lastButtonState) {
    
    // If the state has changed, increment the counter
    if (buttonState == HIGH) {
      Shoot();
    } 
    
    // Delay a little bit to avoid bouncing
    delay(50);
  }
  
  // Save the current state as the last state, for next time through the loop
  lastButtonState = buttonState;
}

void Shoot(){
  // Sending: Protocol=NEC Address=0x102 Command=0x34 Raw-Data=0xCB340102 (32 bits)
  IrSender.sendNEC(sAddress, sCommand, sRepeats);
}
